//-----------------------------------------------------------------------------
//
// Testing XML document validity
//
// Usage: msxml filename.xml
//
//-----------------------------------------------------------------------------

  if (WScript.Arguments.Count() == 0)
  {
    WScript.Echo ("Usage: msxml filename.xml");
    WScript.Quit (1);
  }

  var xml = WScript.CreateObject ("MSXML2.DOMDocument");
  xml.async = false;
  xml.load (WScript.Arguments (0));

  var err = xml.parseError;
  if (err.errorCode != 0)
  {
    WScript.Echo ("Error line: "+err.line+"\nError line pos: "+err.linepos);

    var message = err.srcText;
    var s = "";
    for (i = 1; i < err.linepos; i++) s += "-";
    s += "^";
    message += "\n"+s+"\n";
    WScript.Echo (message + err.url + ":" + err.line + ":" +
                  err.linepos + ":" + err.reason);
  } else WScript.Echo ("XML document is ok.");



