/*
  Write your own scripts to another file. This file can be changed
  in any future distribution.
  
  (c) 1991, 2002-2003 Slvek Rydval, http://www.rydval.cz, slavek@rydval.cz
*/

function Main()
{
  var
    ScriptsFile = System.ScriptPath+"SystemScripts.js";

  //XML
  Actions.NewAction  ("actTextToXMLSafeForm", "Text to XML SafeForm", "", "", -1,
                      ScriptsFile, "TextToXMLSafeForm",
                      ScriptsFile, "IsSomeFileOpenedAndEditable");

  Actions.NewAction  ("actXMLSafeFormToText", "XML SafeForm to text", "", "", -1,
                      ScriptsFile, "XMLSafeFormToText",
                      ScriptsFile, "IsSomeFileOpenedAndEditable");

  Actions.NewAction  ("actCloseTextToXMLTag", "Close text to XML tag", "", "", -1,
                      ScriptsFile, "CloseTextToXMLTag",
                      ScriptsFile, "IsSomeFileOpenedAndEditable");

  Menu.InsertParentItem ("miXML", "", "XML", 6);
  Menu.AddActionItem ("miTextToXMLSafeForm", "miXML", "actTextToXMLSafeForm");
  Menu.AddActionItem ("miXMLSafeFormToText", "miXML", "actXMLSafeFormToText");
  Menu.AddActionItem ("miCloseTextToXMLTag", "miXML", "actCloseTextToXMLTag");

  //scripting help
  Menu.InsertSeparator ("miHelp", 4);
  Actions.NewAction ("actContextHelp", "Context help", "", "Ctrl+F1", -1,
                     ScriptsFile, "ContextHelp",
                     ScriptsFile, "IsSomeFileOpened");
  Actions.NewAction ("actScriptingHelp", "Scripting help", "", "", -1,
                     ScriptsFile, "ScriptingHelp", "", "");
  Menu.InsertActionItem ("miScriptingHelp", "miHelp", "actScriptingHelp", 5);
  Menu.InsertActionItem ("miContextHelp", "miHelp", "actContextHelp", 6);
  Menu.InsertSeparator ("miHelp", 7);

}

